Package com.xebialabs.deployit.plugin.api.udm

## Class BaseProvisionable

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.deployit.plugin.api.udm.base.BaseDeployable
    - - com.xebialabs.deployit.plugin.api.udm.BaseProvisionable

- All Implemented Interfaces:
    `ConfigurationItem`, `Deployable`, `Provisionable`, `Taggable`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(virtual=true,
                description="Base type for all provisionables.")
      public class BaseProvisionable
      extends BaseDeployable
      implements Provisionable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

      `TAGS_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseProvisionable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCardinality()` |
    `java.util.List<Provisioner>` | `getProvisioners()` |
    `void` | `setCardinality​(java.lang.String cardinality)` |
    `void` | `setProvisioners​(java.util.List<Provisioner> provisioners)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployable

      `getBoundTemplates, getTags, setBoundTemplates, setTags`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

      `getTags, setTags`

- - ### Constructor Detail

    - #### BaseProvisionable

          public BaseProvisionable()

  - ### Method Detail

    - #### getCardinality

          public java.lang.String getCardinality()

      Specified by:
        `getCardinality` in interface `Provisionable`

    - #### setCardinality

          public void setCardinality​(java.lang.String cardinality)

      Specified by:
        `setCardinality` in interface `Provisionable`

    - #### getProvisioners

          public java.util.List<Provisioner> getProvisioners()

    - #### setProvisioners

          public void setProvisioners​(java.util.List<Provisioner> provisioners)